#!/usr/bin/env python
# encoding: utf-8
'''
*Copyright (c) 2023, Alibaba Group;
*Licensed under the Apache License, Version 2.0 (the "License");
*you may not use this file except in compliance with the License.
*You may obtain a copy of the License at

*   http://www.apache.org/licenses/LICENSE-2.0

*Unless required by applicable law or agreed to in writing, software
*distributed under the License is distributed on an "AS IS" BASIS,
*WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
*See the License for the specific language governing permissions and
*limitations under the License.

@author: Hey
@email: sanyuan.**alibaba-inc.com
@tel: 137****6540
@datetime: 2023/4/1 12:20
@project: DeepProtFunc
@file: test
@desc: xxxx
'''

has = 0
import csv

all_stats = {}
stats = {}
total = [0, 0, 0]
with open("../../dataset/rdrp_40_extend/protein/binary_class/train_with_pdb_emb.csv", "r") as rfp:
    reader = csv.reader(rfp)
    cnt = 0
    for row in reader:
        cnt += 1
        if cnt == 1:
            continue
        label = int(row[-2])
        if label not in stats:
            stats[label] = 0
        stats[label] += 1
        if label not in all_stats:
            all_stats[label] = 0
        all_stats[label] += 1
        total[0] += 1
print("total: %f" %(stats[0] + stats[1]))
print("rate: %f" %(stats[0]/stats[1]))
stats = {}
with open("../../dataset/rdrp_40_extend/protein/binary_class/dev_with_pdb_emb.csv", "r") as rfp:
    reader = csv.reader(rfp)
    cnt = 0
    for row in reader:
        cnt += 1
        if cnt == 1:
            continue
        label = int(row[-2])
        if label not in stats:
            stats[label] = 0
        stats[label] += 1
        if label not in all_stats:
            all_stats[label] = 0
        all_stats[label] += 1
        total[1] += 1
print("total: %f" %(stats[0] + stats[1]))
print("rate: %f" %(stats[0]/stats[1]))
stats = {}
with open("../../dataset/rdrp_40_extend/protein/binary_class/test_with_pdb_emb.csv", "r") as rfp:
    reader = csv.reader(rfp)
    cnt = 0
    for row in reader:
        cnt += 1
        if cnt == 1:
            continue
        label = int(row[-2])
        if label not in stats:
            stats[label] = 0
        stats[label] += 1
        if label not in all_stats:
            all_stats[label] = 0
        all_stats[label] += 1
        total[2] += 1
print("total: %f" %(stats[0] + stats[1]))
print("rate: %f" %(stats[0]/stats[1]))

print("total: %f" %(all_stats[0] + all_stats[1]))
print("rate: %f" %(all_stats[0]/all_stats[1]))

print("num rate: %f" %(total[0]/total[1]))


with open("./ours_checked_rdrp_final.csv", "r") as rfp:
    reader = csv.reader(rfp)
    cnt = 0
    for row in reader:
        cnt += 1
    print("total: %d" %(cnt - 1))